diff --git a/src/Lunr/Core/Tests/DateTimeBaseTest.php b/src/Lunr/Core/Tests/DateTimeBaseTest.php
index d663a37f06fdfd64f0483f5784300150a9b714a8..c7dc53635c1f83b92c5ef497e7031223afe526e9 100644
--- a/src/Lunr/Core/Tests/DateTimeBaseTest.php
+++ b/src/Lunr/Core/Tests/DateTimeBaseTest.php
@@ -35,9 +35,7 @@ class DateTimeBaseTest extends DateTimeTest
      */
     public function testDefaultDatetimeFormat()
     {
-        $datetime_format = $this->reflection_datetime->getProperty('datetime_format');
-        $datetime_format->setAccessible(TRUE);
-        $this->assertEquals('%Y-%m-%d', $datetime_format->getValue($this->datetime));
+        $this->assertEquals('%Y-%m-%d', $this->get_reflection_property_value('datetime_format'));
     }
 
     /**
@@ -50,10 +48,8 @@ class DateTimeBaseTest extends DateTimeTest
      */
     public function testSetCustomDatetimeFormat($format)
     {
-        $datetime_format = $this->reflection_datetime->getProperty('datetime_format');
-        $datetime_format->setAccessible(TRUE);
-        $this->datetime->set_datetime_format($format);
-        $this->assertEquals($format, $datetime_format->getValue($this->datetime));
+        $this->class->set_datetime_format($format);
+        $this->assertEquals($format, $this->get_reflection_property_value('datetime_format'));
     }
 
     /**
@@ -61,9 +57,7 @@ class DateTimeBaseTest extends DateTimeTest
      */
     public function testDefaultLocale()
     {
-        $locale = $this->reflection_datetime->getProperty('locale');
-        $locale->setAccessible(TRUE);
-        $this->assertEquals('en_US.UTF-8', $locale->getValue($this->datetime));
+        $this->assertEquals('en_US.UTF-8', $this->get_reflection_property_value('locale'));
         $this->assertEquals('en_US.UTF-8', setlocale(LC_ALL, 0));
     }
 
@@ -76,10 +70,8 @@ class DateTimeBaseTest extends DateTimeTest
      */
     public function testSetCustomLocaleWithDefaultCharset()
     {
-        $locale = $this->reflection_datetime->getProperty('locale');
-        $locale->setAccessible(TRUE);
-        $this->datetime->set_locale('de_DE');
-        $this->assertEquals('de_DE.UTF-8', $locale->getValue($this->datetime));
+        $this->class->set_locale('de_DE');
+        $this->assertEquals('de_DE.UTF-8', $this->get_reflection_property_value('locale'));
         $this->assertEquals('de_DE.UTF-8', setlocale(LC_ALL, 0));
     }
 
@@ -92,10 +84,8 @@ class DateTimeBaseTest extends DateTimeTest
      */
     public function testSetCustomLocaleWithCustomCharset()
     {
-        $locale = $this->reflection_datetime->getProperty('locale');
-        $locale->setAccessible(TRUE);
-        $this->datetime->set_locale('de_DE', 'ISO-8859-1');
-        $this->assertEquals('de_DE.ISO-8859-1', $locale->getValue($this->datetime));
+        $this->class->set_locale('de_DE', 'ISO-8859-1');
+        $this->assertEquals('de_DE.ISO-8859-1', $this->get_reflection_property_value('locale'));
         $this->assertEquals('de_DE.ISO-8859-1', setlocale(LC_ALL, 0));
     }
 
@@ -112,10 +102,8 @@ class DateTimeBaseTest extends DateTimeTest
      */
     public function testSetCustomInvalidLocaleWithDefaultCharset($value)
     {
-        $locale = $this->reflection_datetime->getProperty('locale');
-        $locale->setAccessible(TRUE);
-        $this->datetime->set_locale($value);
-        $this->assertEquals('en_US.UTF-8', $locale->getValue($this->datetime));
+        $this->class->set_locale($value);
+        $this->assertEquals('en_US.UTF-8', $this->get_reflection_property_value('locale'));
         $this->assertEquals('en_US.UTF-8', setlocale(LC_ALL, 0));
     }
 
@@ -130,7 +118,7 @@ class DateTimeBaseTest extends DateTimeTest
      */
     public function testDatetimeIsEqual($date1, $date2)
     {
-        $this->assertEquals(0, $this->datetime->sort_compare_datetime($date1, $date2));
+        $this->assertEquals(0, $this->class->sort_compare_datetime($date1, $date2));
     }
 
     /**
@@ -144,7 +132,7 @@ class DateTimeBaseTest extends DateTimeTest
      */
     public function testDatetimeIsLower($date1, $date2)
     {
-        $this->assertEquals(-1, $this->datetime->sort_compare_datetime($date1, $date2));
+        $this->assertEquals(-1, $this->class->sort_compare_datetime($date1, $date2));
     }
 
     /**
@@ -158,7 +146,7 @@ class DateTimeBaseTest extends DateTimeTest
      */
     public function testDatetimeIsGreater($date1, $date2)
     {
-        $this->assertEquals(1, $this->datetime->sort_compare_datetime($date2, $date1));
+        $this->assertEquals(1, $this->class->sort_compare_datetime($date2, $date1));
     }
 
 }
diff --git a/src/Lunr/Core/Tests/DateTimeGetDateTimeTest.php b/src/Lunr/Core/Tests/DateTimeGetDateTimeTest.php
index c1d1b04f694d3331c8d6ef686bbfb3be576cca1d..b82a6e160fd81edd5582861e0e5b6cab71ed60bb 100644
--- a/src/Lunr/Core/Tests/DateTimeGetDateTimeTest.php
+++ b/src/Lunr/Core/Tests/DateTimeGetDateTimeTest.php
@@ -36,7 +36,7 @@ class DateTimeGetDateTimeTest extends DateTimeTest
      */
     public function testGetDatetimeWithDefaultDatetimeFormat()
     {
-        $this->assertEquals(strftime('%Y-%m-%d'), $this->datetime->get_datetime());
+        $this->assertEquals(strftime('%Y-%m-%d'), $this->class->get_datetime());
     }
 
     /**
@@ -47,7 +47,7 @@ class DateTimeGetDateTimeTest extends DateTimeTest
      */
     public function testGetDatetimeWithCustomDatetimeFormat()
     {
-        $value = $this->datetime->set_datetime_format('%A. %d.%m.%Y')->get_datetime();
+        $value = $this->class->set_datetime_format('%A. %d.%m.%Y')->get_datetime();
         $this->assertEquals(strftime('%A. %d.%m.%Y'), $value);
     }
 
@@ -62,7 +62,7 @@ class DateTimeGetDateTimeTest extends DateTimeTest
      */
     public function testGetDatetimeWithCustomInvalidDatetimeFormat($format)
     {
-        $this->assertEquals($format, $this->datetime->set_datetime_format($format)->get_datetime());
+        $this->assertEquals($format, $this->class->set_datetime_format($format)->get_datetime());
     }
 
     /**
@@ -77,7 +77,7 @@ class DateTimeGetDateTimeTest extends DateTimeTest
     public function testGetDatetimeWithLocalizedCustomDatetimeFormat()
     {
         $day           = strftime('%u');
-        $localized_day = $this->datetime->set_datetime_format('%A')->set_locale('de_DE')->get_datetime();
+        $localized_day = $this->class->set_datetime_format('%A')->set_locale('de_DE')->get_datetime();
         $this->assertTrue($this->check_localized_day($day, $localized_day));
     }
 
@@ -91,7 +91,7 @@ class DateTimeGetDateTimeTest extends DateTimeTest
      */
     public function testGetDatetimeWithCustomTimestampAsBase($timestamp)
     {
-        $this->assertEquals(strftime('%Y-%m-%d', $timestamp), $this->datetime->get_datetime($timestamp));
+        $this->assertEquals(strftime('%Y-%m-%d', $timestamp), $this->class->get_datetime($timestamp));
     }
 
     /**
@@ -104,7 +104,7 @@ class DateTimeGetDateTimeTest extends DateTimeTest
      */
     public function testGetDatetimeWithCustomInvalidTimestampAsBase($timestamp)
     {
-        $this->assertFalse($this->datetime->get_datetime($timestamp));
+        $this->assertFalse($this->class->get_datetime($timestamp));
     }
 
 }
diff --git a/src/Lunr/Core/Tests/DateTimeGetDelayedDatetimeTest.php b/src/Lunr/Core/Tests/DateTimeGetDelayedDatetimeTest.php
index 83a0f5ed6ca1e1e6638209b4fb1d2bcca685f43a..c7dd92714610c70e89b81be1cee8699c5b125f4a 100644
--- a/src/Lunr/Core/Tests/DateTimeGetDelayedDatetimeTest.php
+++ b/src/Lunr/Core/Tests/DateTimeGetDelayedDatetimeTest.php
@@ -40,7 +40,7 @@ class DateTimeGetDelayedDatetimeTest extends DateTimeTest
      */
     public function testGetDelayedDatetimeWithCustomTimestampAsBase($timestamp)
     {
-        $value = $this->datetime->get_delayed_datetime('+1 day', $timestamp);
+        $value = $this->class->get_delayed_datetime('+1 day', $timestamp);
         $this->assertEquals(strftime('%Y-%m-%d', strtotime('+1 day', $timestamp)), $value);
     }
 
@@ -54,7 +54,7 @@ class DateTimeGetDelayedDatetimeTest extends DateTimeTest
      */
     public function testGetDelayedDatetimeWithCustomInvalidTimestampAsBase($timestamp)
     {
-        $this->assertFalse($this->datetime->get_delayed_datetime('+1 day', $timestamp));
+        $this->assertFalse($this->class->get_delayed_datetime('+1 day', $timestamp));
     }
 
     /**
@@ -69,7 +69,7 @@ class DateTimeGetDelayedDatetimeTest extends DateTimeTest
      */
     public function testGetDelayedDatetimeWithValidDelay($delay)
     {
-        $this->assertEquals(strftime('%Y-%m-%d', strtotime($delay)), $this->datetime->get_delayed_datetime($delay));
+        $this->assertEquals(strftime('%Y-%m-%d', strtotime($delay)), $this->class->get_delayed_datetime($delay));
     }
 
     /**
@@ -83,7 +83,7 @@ class DateTimeGetDelayedDatetimeTest extends DateTimeTest
      */
     public function testGetDelayedDatetimeWithInvalidDelay($delay)
     {
-        $this->assertFalse($this->datetime->get_delayed_datetime($delay));
+        $this->assertFalse($this->class->get_delayed_datetime($delay));
     }
 
 }
diff --git a/src/Lunr/Core/Tests/DateTimeGetDelayedTimestampTest.php b/src/Lunr/Core/Tests/DateTimeGetDelayedTimestampTest.php
index 5759ffb542392deab29c0bfe96c1f3c7541ada62..46bc5958d92bea2989dad2cb4b2c344fc6374077 100644
--- a/src/Lunr/Core/Tests/DateTimeGetDelayedTimestampTest.php
+++ b/src/Lunr/Core/Tests/DateTimeGetDelayedTimestampTest.php
@@ -36,7 +36,7 @@ class DateTimeGetDelayedTimestampTest extends DateTimeTest
      */
     public function testGetDelayedTimestampWithCurrentTimestampAsBase()
     {
-        $this->assertEquals(strtotime('+1 day'), $this->datetime->get_delayed_timestamp('+1 day'));
+        $this->assertEquals(strtotime('+1 day'), $this->class->get_delayed_timestamp('+1 day'));
     }
 
     /**
@@ -49,7 +49,7 @@ class DateTimeGetDelayedTimestampTest extends DateTimeTest
      */
     public function testGetDelayedTimestampWithCustomTimestampAsBase($base)
     {
-        $this->assertEquals(strtotime('+1 day', $base), $this->datetime->get_delayed_timestamp('+1 day', $base));
+        $this->assertEquals(strtotime('+1 day', $base), $this->class->get_delayed_timestamp('+1 day', $base));
     }
 
     /**
@@ -62,7 +62,7 @@ class DateTimeGetDelayedTimestampTest extends DateTimeTest
      */
     public function testGetDelayedTimestampWithCustomInvalidTimestampAsBase($base)
     {
-        $this->assertFalse($this->datetime->get_delayed_timestamp('+1 day', $base));
+        $this->assertFalse($this->class->get_delayed_timestamp('+1 day', $base));
     }
 
     /**
@@ -75,7 +75,7 @@ class DateTimeGetDelayedTimestampTest extends DateTimeTest
      */
     public function testGetDelayedTimestampWithValidDelay($delay)
     {
-        $this->assertEquals(strtotime($delay), $this->datetime->get_delayed_timestamp($delay));
+        $this->assertEquals(strtotime($delay), $this->class->get_delayed_timestamp($delay));
     }
 
     /**
@@ -88,7 +88,7 @@ class DateTimeGetDelayedTimestampTest extends DateTimeTest
      */
     public function testGetDelayedTimestampWithInvalidDelay($delay)
     {
-        $this->assertFalse($this->datetime->get_delayed_timestamp($delay));
+        $this->assertFalse($this->class->get_delayed_timestamp($delay));
     }
 
 }
diff --git a/src/Lunr/Core/Tests/DateTimeTest.php b/src/Lunr/Core/Tests/DateTimeTest.php
index 6aef1c32e902da856ed56599cbe311926eef769b..3f89a81cf71530b5e943c2a05104cff9dc9ef891 100644
--- a/src/Lunr/Core/Tests/DateTimeTest.php
+++ b/src/Lunr/Core/Tests/DateTimeTest.php
@@ -16,7 +16,7 @@
 namespace Lunr\Core\Tests;
 
 use Lunr\Core\DateTime;
-use PHPUnit_Framework_TestCase;
+use Lunr\Halo\LunrBaseTest;
 use ReflectionClass;
 
 /**
@@ -29,28 +29,16 @@ use ReflectionClass;
  * @author     Heinz Wiesinger <heinz@m2mobi.com>
  * @covers     Lunr\Core\DateTime
  */
-abstract class DateTimeTest extends PHPUnit_Framework_TestCase
+abstract class DateTimeTest extends LunrBaseTest
 {
 
     /**
-     * Instance of the DateTime class.
-     * @var DateTime
-     */
-    protected $datetime;
-
-    /**
-     * Reflection instance of the DateTime class.
-     * @var ReflectionClass
-     */
-    protected $reflection_datetime;
-
-    /**
      * TestCase Constructor.
      */
     public function setUp()
     {
-        $this->reflection_datetime = new ReflectionClass('Lunr\Core\DateTime');
-        $this->datetime            = new DateTime();
+        $this->class      = new DateTime();
+        $this->reflection = new ReflectionClass('Lunr\Core\DateTime');
     }
 
     /**
@@ -58,8 +46,7 @@ abstract class DateTimeTest extends PHPUnit_Framework_TestCase
      */
     public function tearDown()
     {
-        unset($this->datetime);
-        unset($this->reflection_datetime);
+        parent::tearDown();
     }
 
     /**
diff --git a/src/Lunr/Core/Tests/DateTimeTodayTest.php b/src/Lunr/Core/Tests/DateTimeTodayTest.php
index 7b1393f57b8c27dafa7fe7a686d2c91c29df88cd..713e65e952c0e6026edd3a7e7c668884601e0fc6 100644
--- a/src/Lunr/Core/Tests/DateTimeTodayTest.php
+++ b/src/Lunr/Core/Tests/DateTimeTodayTest.php
@@ -37,7 +37,7 @@ class DateTimeTodayTest extends DateTimeTest
      */
     public function testTodayWithDefaultDatetimeFormat()
     {
-        $this->assertEquals(strftime('%Y-%m-%d'), $this->datetime->today());
+        $this->assertEquals(strftime('%Y-%m-%d'), $this->class->today());
     }
 
     /**
@@ -48,7 +48,7 @@ class DateTimeTodayTest extends DateTimeTest
      */
     public function testTodayWithCustomDatetimeFormat()
     {
-        $this->assertEquals(strftime('%A. %d.%m.%Y'), $this->datetime->set_datetime_format('%A. %d.%m.%Y')->today());
+        $this->assertEquals(strftime('%A. %d.%m.%Y'), $this->class->set_datetime_format('%A. %d.%m.%Y')->today());
     }
 
     /**
@@ -63,7 +63,7 @@ class DateTimeTodayTest extends DateTimeTest
     public function testTodayWithLocalizedCustomDatetimeFormat()
     {
         $day           = strftime('%u');
-        $localized_day = $this->datetime->set_datetime_format('%A')->set_locale('de_DE')->today();
+        $localized_day = $this->class->set_datetime_format('%A')->set_locale('de_DE')->today();
         $this->assertTrue($this->check_localized_day($day, $localized_day));
     }
 
@@ -78,7 +78,7 @@ class DateTimeTodayTest extends DateTimeTest
      */
     public function testTodayWithCustomInvalidDatetimeFormat($format)
     {
-        $this->assertEquals($format, $this->datetime->set_datetime_format($format)->today());
+        $this->assertEquals($format, $this->class->set_datetime_format($format)->today());
     }
 
     /**
@@ -89,7 +89,7 @@ class DateTimeTodayTest extends DateTimeTest
      */
     public function testNowWithDefaultDatetimeFormat()
     {
-        $this->assertEquals(strftime('%Y-%m-%d'), $this->datetime->now());
+        $this->assertEquals(strftime('%Y-%m-%d'), $this->class->now());
     }
 
     /**
@@ -100,7 +100,7 @@ class DateTimeTodayTest extends DateTimeTest
      */
     public function testNowWithCustomDatetimeFormat()
     {
-        $this->assertEquals(strftime('%A. %d.%m.%Y'), $this->datetime->set_datetime_format('%A. %d.%m.%Y')->now());
+        $this->assertEquals(strftime('%A. %d.%m.%Y'), $this->class->set_datetime_format('%A. %d.%m.%Y')->now());
     }
 
     /**
@@ -115,7 +115,7 @@ class DateTimeTodayTest extends DateTimeTest
     public function testNowWithLocalizedCustomDatetimeFormat()
     {
         $day           = strftime('%u');
-        $localized_day = $this->datetime->set_datetime_format('%A')->set_locale('de_DE')->now();
+        $localized_day = $this->class->set_datetime_format('%A')->set_locale('de_DE')->now();
         $this->assertTrue($this->check_localized_day($day, $localized_day));
     }
 
@@ -130,7 +130,7 @@ class DateTimeTodayTest extends DateTimeTest
      */
     public function testNowWithCustomInvalidDatetimeFormat($format)
     {
-        $this->assertEquals($format, $this->datetime->set_datetime_format($format)->now());
+        $this->assertEquals($format, $this->class->set_datetime_format($format)->now());
     }
 
 }
diff --git a/src/Lunr/Core/Tests/DateTimeTomorrowTest.php b/src/Lunr/Core/Tests/DateTimeTomorrowTest.php
index 788ff78c831f5097d6d5ee0886d18d27990a8a22..47c30cafb7f7d1d8f2d19041bd085305415e5794 100644
--- a/src/Lunr/Core/Tests/DateTimeTomorrowTest.php
+++ b/src/Lunr/Core/Tests/DateTimeTomorrowTest.php
@@ -37,7 +37,7 @@ class DateTimeTomorrowTest extends DateTimeTest
      */
     public function testTomorrowWithDefaultDatetimeFormat()
     {
-        $this->assertEquals(strftime('%Y-%m-%d', strtotime('+1 day')), $this->datetime->tomorrow());
+        $this->assertEquals(strftime('%Y-%m-%d', strtotime('+1 day')), $this->class->tomorrow());
     }
 
     /**
@@ -48,7 +48,7 @@ class DateTimeTomorrowTest extends DateTimeTest
      */
     public function testTomorrowWithCustomDatetimeFormat()
     {
-        $value = $this->datetime->set_datetime_format('%A. %d.%m.%Y')->tomorrow();
+        $value = $this->class->set_datetime_format('%A. %d.%m.%Y')->tomorrow();
         $this->assertEquals(strftime('%A. %d.%m.%Y', strtotime('+1 day')), $value);
     }
 
@@ -64,7 +64,7 @@ class DateTimeTomorrowTest extends DateTimeTest
     public function testTomorrowWithLocalizedCustomDatetimeFormat()
     {
         $day           = strftime('%u', strtotime('+1 day'));
-        $localized_day = $this->datetime->set_datetime_format('%A')->set_locale('de_DE')->tomorrow();
+        $localized_day = $this->class->set_datetime_format('%A')->set_locale('de_DE')->tomorrow();
         $this->assertTrue($this->check_localized_day($day, $localized_day));
     }
 
@@ -79,7 +79,7 @@ class DateTimeTomorrowTest extends DateTimeTest
      */
     public function testTomorrowWithCustomInvalidDatetimeFormat($format)
     {
-        $this->assertEquals($format, $this->datetime->set_datetime_format($format)->tomorrow());
+        $this->assertEquals($format, $this->class->set_datetime_format($format)->tomorrow());
     }
 
 }
diff --git a/src/Lunr/Core/Tests/DateTimeVerifyTest.php b/src/Lunr/Core/Tests/DateTimeVerifyTest.php
index 07f48e2f7496484a2c558f4f70e3eca0e5bb018d..15d6d4069080cfd9c55e0abd3862e68524a11b46 100644
--- a/src/Lunr/Core/Tests/DateTimeVerifyTest.php
+++ b/src/Lunr/Core/Tests/DateTimeVerifyTest.php
@@ -39,7 +39,7 @@ class DateTimeVerifyTest extends DateTimeTest
      */
     public function testIsValidTime($time)
     {
-        $this->assertTrue($this->datetime->is_time($time));
+        $this->assertTrue($this->class->is_time($time));
     }
 
     /**
@@ -52,7 +52,7 @@ class DateTimeVerifyTest extends DateTimeTest
      */
     public function testIsInvalidTime($time)
     {
-        $this->assertFalse($this->datetime->is_time($time));
+        $this->assertFalse($this->class->is_time($time));
     }
 
     /**
@@ -65,7 +65,7 @@ class DateTimeVerifyTest extends DateTimeTest
      */
     public function testIsValidLeapYear($year)
     {
-        $this->assertTrue($this->datetime->is_leap_year($year));
+        $this->assertTrue($this->class->is_leap_year($year));
     }
 
     /**
@@ -78,7 +78,7 @@ class DateTimeVerifyTest extends DateTimeTest
      */
     public function testIsInvalidLeapYear($year)
     {
-        $this->assertFalse($this->datetime->is_leap_year($year));
+        $this->assertFalse($this->class->is_leap_year($year));
     }
 
     /**
@@ -93,7 +93,7 @@ class DateTimeVerifyTest extends DateTimeTest
      */
     public function testIsValidDate($date)
     {
-        $this->assertTrue($this->datetime->is_date($date));
+        $this->assertTrue($this->class->is_date($date));
     }
 
     /**
@@ -108,7 +108,7 @@ class DateTimeVerifyTest extends DateTimeTest
      */
     public function testIsInvalidDate($date)
     {
-        $this->assertFalse($this->datetime->is_date($date));
+        $this->assertFalse($this->class->is_date($date));
     }
 
 }
diff --git a/src/Lunr/Core/Tests/DateTimeYesterdayTest.php b/src/Lunr/Core/Tests/DateTimeYesterdayTest.php
index bb030d5e771b20c1f213e43f5044807a44913d8f..5c9f58ee28c6ee6f1f884360b41b5ddf8dc50319 100644
--- a/src/Lunr/Core/Tests/DateTimeYesterdayTest.php
+++ b/src/Lunr/Core/Tests/DateTimeYesterdayTest.php
@@ -37,7 +37,7 @@ class DateTimeYesterdayTest extends DateTimeTest
      */
     public function testYesterdayWithDefaultDatetimeFormat()
     {
-        $this->assertEquals(strftime('%Y-%m-%d', strtotime('-1 day')), $this->datetime->yesterday());
+        $this->assertEquals(strftime('%Y-%m-%d', strtotime('-1 day')), $this->class->yesterday());
     }
 
     /**
@@ -48,7 +48,7 @@ class DateTimeYesterdayTest extends DateTimeTest
      */
     public function testYesterdayWithCustomDatetimeFormat()
     {
-        $value = $this->datetime->set_datetime_format('%A. %d.%m.%Y')->yesterday();
+        $value = $this->class->set_datetime_format('%A. %d.%m.%Y')->yesterday();
         $this->assertEquals(strftime('%A. %d.%m.%Y', strtotime('-1 day')), $value);
     }
 
@@ -64,7 +64,7 @@ class DateTimeYesterdayTest extends DateTimeTest
     public function testYesterdayWithLocalizedCustomDatetimeFormat()
     {
         $day           = strftime('%u', strtotime('-1 day'));
-        $localized_day = $this->datetime->set_datetime_format('%A')->set_locale('de_DE')->yesterday();
+        $localized_day = $this->class->set_datetime_format('%A')->set_locale('de_DE')->yesterday();
         $this->assertTrue($this->check_localized_day($day, $localized_day));
     }
 
@@ -79,7 +79,7 @@ class DateTimeYesterdayTest extends DateTimeTest
      */
     public function testYesterdayWithCustomInvalidDatetimeFormat($format)
     {
-        $this->assertEquals($format, $this->datetime->set_datetime_format($format)->yesterday());
+        $this->assertEquals($format, $this->class->set_datetime_format($format)->yesterday());
     }
 
 }
